package app

import (
	"miniapp/global"
)

// OAuth2Client OAuth2客户端信息
type OAuth2Client struct {
	global.GVA_MODEL
	ClientId     string `gorm:"type:varchar(255) not null"`
	ClientSecret string `gorm:"type:varchar(255) not null"`
	Grant        string `gorm:"type:varchar(255) not null"` // 允许的授权范围，支持类型: oauth2.GrantType
	Domain       string `gorm:"type:varchar(255)"`
}

func (OAuth2Client) TableName() string {
	return "t_oauth2_client"
}
